python-pip unmet dependecies

Archived topics about LMDE 1
Forum rules
lbig
Level 1
Level 1
Posts: 3
Joined: Fri Jun 21, 2013 12:19 pm

python-pip unmet dependecies

Postby lbig » Wed Oct 23, 2013 7:19 pm

Hello folks. I need some help
I am trying to install pip in a fresh install of lmde updated to UP7 but I run into this problem

Reading package lists... Done
Building dependency tree
Reading state information... Done
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
python-pip : Depends: python-setuptools (>= 0.6c1) but it is not going to be installed
Recommends: python-dev-all (>= 2.6) but it is not installable
E: Unable to correct problems, you have held broken packages.


Furthermore attempts to upgrade python-setuptools result in
The following packages have unmet dependencies:
python-setuptools : Depends: python-pkg-resources (= 0.6.24-1) but 0.6.49-2 is to be installed
E: Unable to correct problems, you have held broken packages.


I have tried apt-get clean and apt-get dist-upgrade to no avail . Any help will be greatly appreciated.

Monsta
Level 9
Level 9
Posts: 2929
Joined: Fri Aug 19, 2011 3:46 am

Re: python-pip unmet dependecies

Postby Monsta » Wed Oct 23, 2013 11:42 pm

Please post the output of:

Code: Select all

inxi -Sr

Code: Select all

apt-cache policy python-pip

Code: Select all

apt-cache policy python-setuptools

Code: Select all

apt-cache policy python-pkg-resources

lbig
Level 1
Level 1
Posts: 3
Joined: Fri Jun 21, 2013 12:19 pm

Re: python-pip unmet dependecies

Postby lbig » Thu Oct 24, 2013 7:30 am

Sure

Code: Select all

inxi -Sr
System:    Host conectar Kernel 3.10-2-amd64 x86_64 (64 bit) Distro LinuxMint 1 debian
Repos:     Active apt sources in file: /etc/apt/sources.list
           deb http://ftp.mgts.by/pub/linuxmint/packages/ debian main upstream import backport
           deb http://mirrors.fe.up.pt/linuxmint-debian/latest testing main contrib non-free
           deb http://mirrors.fe.up.pt/linuxmint-debian/latest/security testing/updates main contrib non-free
           deb http://mirrors.fe.up.pt/linuxmint-debian/latest/multimedia testing main non-free


Code: Select all

apt-cache policy python-pip
python-pip:
  Installed: (none)
  Candidate: 1.1-3
  Version table:
     1.1-3 0
        500 http://mirrors.fe.up.pt/linuxmint-debian/latest/ testing/main amd64 Packages


Code: Select all

apt-cache policy python-setuptools
python-setuptools:
  Installed: (none)
  Candidate: 0.6.24-1
  Version table:
     0.6.24-1 0
        500 http://mirrors.fe.up.pt/linuxmint-debian/latest/ testing/main amd64 Packages


Code: Select all

apt-cache policy python-pkg-resources
python-pkg-resources:
  Installed: 0.6.49-2
  Candidate: 0.6.49-2
  Version table:
 *** 0.6.49-2 0
        100 /var/lib/dpkg/status
     0.6.24-1 0
        500 http://mirrors.fe.up.pt/linuxmint-debian/latest/ testing/main amd64 Packages

Monsta
Level 9
Level 9
Posts: 2929
Joined: Fri Aug 19, 2011 3:46 am

Re: python-pip unmet dependecies

Postby Monsta » Thu Oct 24, 2013 7:38 am

lbig wrote:mirrors.fe.up.pt

Just as I thought... That mirror is utterly broken, switch to another one:

Code: Select all

mint-choose-debian-mirror

After that, run

Code: Select all

sudo apt-get update && sudo apt-get dist-upgrade

lbig
Level 1
Level 1
Posts: 3
Joined: Fri Jun 21, 2013 12:19 pm

Re: python-pip unmet dependecies

Postby lbig » Thu Oct 24, 2013 8:35 am

That solved it!

Thank you very much.


Return to “Archive”

Who is online

Users browsing this forum: No registered users and 1 guest